Summary: VIRGO Cfg library
Name: virgoApp-Cfg
Version: 8.3.1
Release: 1%{?dist}
License: GNU General Public License Version 3
Source: virgoApp-Cfg-8.3.1.tar.gz
URL: http://www.ego-gw.it
Packager: Edward Maros <ed.maros@ligo.org>
Group: Application/Scientific
Requires: virgoApp-Db
Requires: virgoApp-Cm
Requires: virgoApp-Cbf
Requires: virgoApp-CSet
BuildRoot: %{buildroot}
Buildrequires: virgoApp-Db-devel
Buildrequires: virgoApp-Cbf-devel
Buildrequires: virgoApp-CSet-devel
Buildrequires: virgoApp-Cm-devel
Buildrequires: cmake
Buildrequires: pkgconfig
%description
This is a collection of tools used by the LIGO scientific community

%package devel
Group: Development/Scientific
Summary: VIRGO library
%description devel
This provides the develpement files the VIRGO Cfg library.
Requires: virgoApp-Cfg

%prep
%setup -q

%build
%cmake .

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 04 2016 Edward Maros <ed.maros@ligo.org> - 2.9.0
- Initial build.
